Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
  • Pay
Go to amili.no
  1. Onboarding
  • Home
    • Welcome to Amili Docs
    • Responsible disclosure
    • Become a partner
  • Debt Collection
    • About the AutoCollect API
    • Getting started with the AutoCollect API
    • Webhooks
    • Example Workflow
    • Batches
      • GetBatchById
      • GetBatchesByOrganization
      • GetBatchById - Legacy (To be removed)
    • Collections
      • GetCasesByOrganization
      • AcceptDebtCollectionList
      • RejectDebtCollectionList
      • PauseCase
      • WithdrawCase
      • ResumeCase
      • AcceptEvictionRequest
      • RejectEvictionRequest
      • AcceptEvictionConfirmation
      • RejectEvictionConfirmation
    • Correction
      • CreateCorrections
    • Invoice
      • CreateInvoices
      • GetInvoicesByOrganization
      • GetInvoiceById
    • Payment
      • CreatePayments
    • Settlement
      • GetSettlements
      • GetSettlement on Id
    • AutoCollect Legacy API
      • Attachment
        • /webapi/api/Attachment
      • Batch
        • /webapi/api/Batch
        • /webapi/api/Batch
      • Ping
        • /webapi/api/Ping
    • ErrorHandling
      • How to
      • Codes
        • DUPLICATE_UNIQUE_SOURCE_PAYMENT_ID
  • Accounts Receivable
    • Actions
      • POST (create) an action
      • POST (create) a reports action/generate a report
    • ArItems
      • GET a list of AR items
      • PUT (update) ar item details
      • GET one AR item
    • AutoPostings
      • POST (create) one or more auto postings
    • Batches
      • GET one batch
    • ClientConfigs
      • GET a list of client config values
      • GET values for one client config key
    • Codes
      • GET ARM system code values
    • Customers
      • POST (create) one customer
      • PUT (update) one customer
      • GET a list of customers
      • GET one customer
      • DELETE a customer
      • POST (create) a batch of customers
      • PUT (update) a batch of customers
    • DocumentBundles
      • GET a list of document bundles
      • GET one document bundle
    • Documents
      • POST (create) one document
      • GET a list of documents
      • GET one document
      • POST (create) a batch of documents
    • Files
      • GET one or more OS files
      • POST (upload) one or more OS files
      • GET one OS file
    • GlItems
      • Get one GL item
      • GET a list of GL items
    • GlMovements
      • Get movement/balance for the latest closed GL year/period
      • GET a list of GL movements/balances
    • Insights
      • GET a list of ADB intervals
    • LogItems
      • GET one log item
      • GET a list of log items
    • PaymentReservations
      • POST (create) a new payment reservation
    • Health
      • Check API health
  • Pay
    • AmiliPay API Introduction
    • Industry Categories Reference
    • Webhooks Reference
    • Merchant
      • List all customers
      • Create customer
      • Retrieve customer
      • Update customer
      • Create customer token
      • Retrieve pricing for a merchant
      • Update pricing for a merchant
      • List a customer's accepted agreements
    • User
      • List all users
      • Create user
      • Retrieve user
      • Update user
      • Delete user
    • Onboarding
      • Create onboarding application
        POST
      • Retrieve onboarding application
        GET
      • Update onboarding application
        PUT
      • Delete onboarding application
        DELETE
      • Start processing onboarding
        POST
      • Delete onboarding shareholder
        DELETE
      • Create onboarding document
        POST
      • Retrieve onboarding document
        GET
      • Delete onboarding document
        DELETE
      • Retrieve available account agreements
        GET
      • Create onboarding agreement
        POST
      • Mark selected agreement as an accepted by the account
        POST
      • Retrieve a single agreement
        GET
      • Update onboarding agreement
        PUT
      • Deactivate agreement
        DELETE
    • Invoice
      • List all invoices
      • Create invoice
      • Retrieve invoice
      • Update invoice
      • Delete invoice
      • Refund invoice
    • Transactions
      • Get invoice transactions
    • Payout
      • List all payouts
      • Retrieve payout
      • Retrieve payout details
    • Product lines classification
      • Upload a CSV file
      • Manually get processed CSV file path
      • Download a previously uploaded CSV file
  1. Onboarding

Update onboarding application

PUT
/v1/onboardings/{application_id}
Updates an existing onboarding application by application_id. Use this to fill in or correct company, payout, and shareholder data before starting processing. The same UUID identifies the onboarding application throughout the flow.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Body Params application/json

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

🟠400
🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/v1/onboardings/98c93841-2ca5-42dc-8909-75967b25f27f' \
--header 'X-API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "company": {
        "industry_category": "5732",
        "registration_code": "NO123456789",
        "address": {
            "country": "NO"
        }
    }
}'
Response Response Example
200 - response
{
    "data": {
        "id": "98bd2a69-abf9-4eab-899b-0f23a29aa8bf",
        "account_id": 3,
        "status": "STARTED",
        "status_changed_at": "2022-12-13 06:58:03",
        "ownership_category": "ownership_no_major",
        "company": {
            "id": "98bf449f-7229-4ef9-9368-b4fa8049a0ca",
            "industry_category": "5732",
            "tax_id": "99999",
            "registration_code": "12313",
            "address": {
                "city": "Oslo",
                "country": "NO",
                "street_address": "Sæffleberggate 56",
                "zip": "0563"
            },
            "average_transaction": "250",
            "average_daily_transactions": "5",
            "documentation": null,
            "created_at": "2022-10-24 10:20:04",
            "updated_at": "2023-03-22 09:09:34"
        },
        "payout": {
            "id": "98bf449f-7998-4f36-9c2f-ae6b5e861b7d",
            "account_name": "Main account",
            "bic": "NORWNOK1XXX",
            "iban": "NO9386011117947",
            "currency": "NOK",
            "country": "NO",
            "city": "Oslo",
            "name": "BANK AS",
            "documentation": null,
            "created_at": "2022-10-24 10:20:15",
            "updated_at": "2023-03-22 09:09:34"
        },
        "shareholders": [
            {
                "id": "98bf449f-7da8-4043-a021-27d2102f005c",
                "role": "procurator",
                "procurator_is_confirmed": true,
                "first_name": "Firstname",
                "last_name": "Lastname",
                "gender": "male",
                "date_of_birth": "1945-01-31",
                "job_title": "CTO",
                "address": {
                    "city": "Oslo",
                    "country": "NO",
                    "street_address": "Sæffleberggate 51",
                    "zip": "0562",
                    "phone": "40123456"
                },
                "email": "test@gmail.com",
                "nationality": "AO",
                "documentation": [
                    {
                        "id": "98bf449f-7b19-4822-ad5a-850e27b55456",
                        "model_id": "98bf449f-7da8-4043-a021-27d2102f005c",
                        "type": "DRIVER_LICENCE_FRONT",
                        "name": "AD8jwMjpvOG6RbruMgQ3fVJjRE9G6BTHriNIMd1E.png",
                        "created_at": "2022-10-24 10:54:29",
                        "updated_at": "2023-03-22 09:09:34"
                    }
                ],
                "created_at": "2022-10-24 10:19:35",
                "updated_at": "2023-03-22 09:09:34"
            }
        ],
        "created_at": "2022-10-18 10:03:34",
        "updated_at": "2023-03-21 08:04:38"
    }
}
Modified at 2026-09-25 07:15:05
Previous
Retrieve onboarding application
Next
Delete onboarding application
Built with